+++
title = "Motor Commutation"
draft = false
+++

Tags
: [Motors]({{< relref "motors.md" >}})


## Sensors {#sensors}

-   Hall effect sensors
-   [Encoders]({{< relref "encoders.md" >}})


## Electrical Commutation {#electrical-commutation}

For a 3 phase motor (linear or angular), the force constant is a function of the position.
The motor can be designed in such a way that the relation is close to a sinusoidal function of a trapezoidal function.


### "Hard" commutation {#hard-commutation}

<a id="figure--fig:motor-hard-commutation"></a>

{{< figure src="/ox-hugo/motor_hard_commutation.png" caption="<span class=\"figure-number\">Figure 1: </span>By changing the direction of the current at the zero force positions of each coil (dashed), an almost constant force-constant of the total actuator is obtained." >}}


### Sinusoidal Commutation {#sinusoidal-commutation}

<a id="figure--fig:motor-sin-commutation"></a>

{{< figure src="/ox-hugo/motor_sin_commutation.png" caption="<span class=\"figure-number\">Figure 2: </span>Three phase commutation with a sinusoidal control of the currents in each coil segment (\\(I\_R, I\_S, I\_T\\)) in phase with their spatial sinusoidal force-constant \\(B l = k\\) values (\\(k\_R, k\_S, k\_T\\)) results in a force per segment with a spatial frequency that is double the original spatial frequency of the coils. The resulting total force of the three coil segments is the sum of the values of the force in each segment and is independent of the position." >}}


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
</div>
